ONVIF::Device::Elements::LoadCertificateWithPrivateKey(3pm)

NAME
ONVIF::Device::Elements::LoadCertificateWithPrivateKey

DESCRIPTION
Perl data type class for the XML Schema defined element LoadCertificateWithPrivateKey from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateWithPrivateKey

     $element->set_CertificateWithPrivateKey($data);
     $element->get_CertificateWithPrivateKey();

METHODS

  new
 my $element = ONVIF::Device::Elements::LoadCertificateWithPrivateKey->new($data);

Constructor. The following data structure may be passed to new():

 {
   CertificateWithPrivateKey =>  { # ONVIF::Device::Types::CertificateWithPrivateKey
     CertificateID =>  $some_value, # token
     Certificate =>  { # ONVIF::Device::Types::BinaryData
       Data =>  $some_value, # base64Binary
     },
     PrivateKey =>  { # ONVIF::Device::Types::BinaryData
       Data =>  $some_value, # base64Binary
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL